//
//  QuenchClient.h
//  Compare Prices
//
//  Created by Jesper Forsberg on 2011-08-12.
//  Copyright 2011 Jesper Forsberg. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface QuenchClient : NSObject 

@property (nonatomic, retain) NSNumber *applicationId;
@property (nonatomic, retain) NSString *applicationKey;
@property (nonatomic, retain) NSURL *lastURL;

- (NSData *)queryResource:(NSString *)resource 
               withParams:(NSDictionary *)params;

- (NSData *)queryResource:(NSString *)resource 
               withParams:(NSDictionary *)params 
                 byMethod:(NSString *)method 
                 withData:(NSDictionary *)data;

@end
