//
//  SearchResponse.h
//  Compare Prices
//
//  Created by Jesper Forsberg on 2011-08-15.
//  Copyright 2011 Jesper Forsberg. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SearchResult.h"
#import "Response.h"

@interface SearchResponse : NSObject <SearchResult, Response>

@property (nonatomic, assign) int hitCount;
@property (nonatomic, assign) int pageCount;

@property (nonatomic, copy) NSArray *categories;
@property (nonatomic, copy) NSArray *products;
@property (nonatomic, copy) NSArray *priceHints;

@property (nonatomic, assign) float priceRangeMin;
@property (nonatomic, assign) float priceRangeMax;

@end
