//
//  Product.h
//  Compare Prices
//
//  Created by Jesper Forsberg on 2011-08-13.
//  Copyright 2011 Jesper Forsberg. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ProductStore.h"

@interface Product : NSObject <NSCoding>

@property (nonatomic, assign) NSInteger id;
@property (nonatomic, assign) NSInteger categoryId;
@property (nonatomic, copy) NSString *name;
// description is a special keyword, so we'll use info in this client lib
@property (nonatomic, copy) NSString *info;
@property (nonatomic, assign) float minPrice;
@property (nonatomic, assign) float maxPrice;
@property (nonatomic, copy) NSString *minPrice_c;
@property (nonatomic, copy) NSString *maxPrice_c;
@property (nonatomic, assign) NSInteger storeCount;
@property (nonatomic, copy) NSString *imageURL;

@property (nonatomic, copy) NSArray *images;
@property (nonatomic, copy) NSArray *stores;

@end