//
//  GlobalSearchRequest.h
//  Compare Prices
//
//  Created by Jesper Forsberg on 2011-08-16.
//  Copyright 2011 Jesper Forsberg. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Request.h"
#import "GlobalSearchResponse.h"

@interface GlobalSearchRequest : NSObject <Request> {
@private
    NSString *query;
    NSString *sort;
    float minPrice;
    float maxPrice;
    int page;
    int pageSize;
    BOOL showStores;
}

- (void)setSort:(NSString *)v;
- (void)setMinPrice:(float)v;
- (void)setMaxPrice:(float)v;

@property (nonatomic, assign) int page;
@property (nonatomic, copy) NSString *query;

- (void)setPageSize:(int)v;
- (void)setShowStores:(BOOL)v;

- (GlobalSearchResponse *)query:(QuenchClient *)client;

@end
