//
//  SearchRequest.h
//  Compare Prices
//
//  Created by Jesper Forsberg on 2011-08-16.
//  Copyright 2011 Jesper Forsberg. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Request.h"
#import "SearchResponse.h"

@interface SearchRequest : NSObject <Request> {
@private
    NSInteger categoryId;
    NSString *query;
    NSString *sort;
    float minPrice;
    float maxPrice;
    int page;
    int pageSize;
    BOOL showStores;
}

- (void)setCategoryId:(NSInteger)v;
- (void)setQuery:(NSString *)v;
- (void)setSort:(NSString *)v;
- (void)setMinPrice:(float)v;
- (void)setMaxPrice:(float)v;
- (void)setPage:(int)v;
- (void)setPageSize:(int)v;
- (void)setShowStores:(BOOL)v;

- (SearchResponse *)query:(QuenchClient *)client;

@end
