//
//  StoreUpdateRequest.h
//  Compare Prices
//
//  Created by Jesper Forsberg on 2011-08-16.
//  Copyright 2011 Jesper Forsberg. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Request.h"
#import "StoreListResponse.h"

@interface StoreUpdateRequest : NSObject <Request> {
@private
    NSDictionary *siteIds;
    NSArray *activeStores;
}

- (void)setSiteIds:(NSDictionary *)v;
- (void)setActiveStores:(NSArray *)v;
- (StoreListResponse *)query:(QuenchClient *)client;

@end
