//
//  CategoryProductsResponse.h
//  Compare Prices
//
//  Created by Jesper Forsberg on 2011-08-15.
//  Copyright 2011 Jesper Forsberg. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ProductResult.h"
#import "Response.h"
#import "../Models/Category.h"

@interface CategoryProductsResponse : NSObject <ProductResult, Response>

@property (nonatomic, assign) int hitCount;
@property (nonatomic, assign) int pageCount;
@property (nonatomic, retain) Category *category;
@property (nonatomic, copy) NSArray *products;
@property (nonatomic, copy) NSArray *priceHints; 
@property (nonatomic, assign) float priceRangeMin;
@property (nonatomic, assign) float priceRangeMax;

@end
